### Hierarchy

- IStorageAdapter

### Implemented by

- IdbStorageAdapter

## Index

### Methods

- adapterId
- destroy
- dispose
- identityStore
- initialize
- isDisposed
- isInitialized
- modelStore

## Methods

### adapterId

- adapterId(): string

- Returns the unique id of this storage adapter. Each adapter class implementation must provide a unique id.

  #### Returns string

### destroy

- destroy(): void

- Removes the underlying storage behind this store, deleting all data. The storage adapter will be disposed after calling destroy.

  #### Returns void

### dispose

- dispose(): void

- Disposes of this storage adapter, releasing any resources. Calls to the storage after calling dispose will likely throw errors.

  #### Returns void

### identityStore

- identityStore(): IIdentityStore

- Returns the identity store which provides storage for the Identity subsystem.

  #### Returns IIdentityStore

  The identity store.

### initialize

- initialize(namespace: string, domainId: string, username: string): Promise<void>

- Initializes the offline data store. The storage will be created if it does not exists.

  #### Parameters

  - ##### namespace: string

    The namespace of the domain being opened.

  - ##### domainId: string

    The id of the domain being opened.

  - ##### username: string

    The user name of the user opening the store.

  #### Returns Promise<void>

### isDisposed

- isDisposed(): boolean

- Determines if the storage is disposed.

  #### Returns boolean

  true if the storage is disposed, false otherwise.

### isInitialized

- isInitialized(): boolean

- Determines if the storage is initialized.

  #### Returns boolean

  true if the storage is initialized, false otherwise.

### modelStore

- modelStore(): IModelStore

- Returns the model store which provides storage for the Real Time Model subsystem.

  #### Returns IModelStore

  The model store.